Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.time.common
Class Scheduler

    java.lang.Object
      |
      +--weblogic.common.internal.RemoteEntryPoint
            |
            +--weblogic.time.common.Scheduler

Deprecated. Deprecated in WebLogic Server 6.1

public final class Scheduler
extends weblogic.common.internal.RemoteEntryPoint

The Scheduler provides a wrapper for user-defined classes that implement Schedulable or ScheduleDef.

A Scheduler can be used in calls to the factory method, `TimeServicesDef.getScheduledTrigger()`. When a Scheduler is constructed using a fully qualified class name rather than an actual instance, an instance of the class is created on the WebLogic Server with its default constructor.

If the user-supplied class implements ScheduleDef, then the ScheduleDef's `setServices()` and `scheduleInit()` methods are called in that order.

Author:
  Copyright (c) 1996-97, WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  `Schedulable`, `ScheduleDef`, `TimeServicesDef`, Serialized Form

Fields inherited from class weblogic.common.internal.RemoteEntryPoint
`className, params, theObject`

Constructor Summary
`Scheduler()` Deprecated. Internal use only.
`Scheduler(Schedulable o)` Deprecated. Deprecated in WebLogic Server 6.1
`Scheduler(Schedulable o, ParamSet ps)` Deprecated. Deprecated in WebLogic Server 6.1
`Scheduler(java.lang.String entry)` Deprecated. Deprecated in WebLogic Server 6.1
`Scheduler(java.lang.String entry, ParamSet ps)` Deprecated. Deprecated in WebLogic Server 6.1

Methods inherited from class weblogic.common.internal.RemoteEntryPoint
`className, destroy, equals, getName, getParamSet, getT3, initialize, newInstance, params, readExternal, theObject, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scheduler

    public Scheduler()

  Deprecated.
  Internal use only.

### Scheduler

    public Scheduler(Schedulable o,
                     ParamSet ps)

  Deprecated. Deprecated in WebLogic Server 6.1
  Constructs an Scheduler object with the specified Object and set of parameters.

  Parameters:
    `o` - Schedulable or ScheduleDef
    `ps` - ParamSet object

### Scheduler

    public Scheduler(Schedulable o)

  Deprecated. Deprecated in WebLogic Server 6.1
  Constructs an Scheduler object with the specified Object and set of parameters.

  Parameters:
    `o` - Schedulable or ScheduleDef

### Scheduler

    public Scheduler(java.lang.String entry,
                     ParamSet ps)

  Deprecated. Deprecated in WebLogic Server 6.1
  Constructs an Scheduler object with the specified user-written fully-qualified class name and set of parameters. The user-written class must implement Schedulable or ScheduleDef.

  Parameters:
    `entry` - Name of user-written class
    `ps` - ParamSet object

### Scheduler

    public Scheduler(java.lang.String entry)

  Deprecated. Deprecated in WebLogic Server 6.1
  Constructs an Scheduler object with the specified user-written fully-qualified class name. The user-written class must implement Schedulable or ScheduleDef.

  Parameters:
    `entry` - Name of user-written class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference